\name{ensembl.based.hgu133plus2CHR}
\alias{ensembl.based.hgu133plus2CHR}
\title{Map custom probe-set IDs to Chromosomes}
\description{
 ensembl.based.hgu133plus2CHR is an R object that provides mappings between a
 custom probe-set identifier and the chromosome that contains the gene of interest.
}
\details{
	Each custom probe-set identifier maps to a chromosomes. This is the main mapping.
	However, some probe-set do match several genes or genomic locations. This infomartion
	is not stored here. One can assess if a given probe-set match several locations by using
	the ensembl.based.hgu133plus2GENE_COUNT function.
	Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68
}

\examples{
        x <- ensembl.based.hgu133plus2CHR
        # Get the probe identifiers that are mapped to a chromosome
        mapped_probes <- mappedkeys(x)
        # Convert to a list
        xx <- as.list(x[mapped_probes])
        if(length(xx) > 0) {
          # Get the CHR for the first five probes
          xx[1:5]
          # Get the first one
          xx[6008]
        }
}
\keyword{datasets}
