\name{ensembl.based.hgu133plus2CHRLOC}
\alias{ensembl.based.hgu133plus2CHRLOC}
\title{Map Manufacturer IDs to Chromosomal Location}
\description{
	ensembl.based.hgu133plus2CHRLOC is an R object that maps custom probe-set identifiers to the
	starting position of the gene. The position of a gene is
	measured as the number of base pairs.
}
\details{
	Each custom probe-set identifier maps to a named vector of chromosomal locations,
	where the name indicates the chromosome.

	Chromosomal locations on both the sense and antisense strands are
	measured as the number of base pairs from the p (5' end of the sense
	strand) to q (3' end of the sense strand) arms. Chromosomal locations on the
	antisense strand have a leading "-" sign (e. g. -1234567).

	Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68

}
\examples{
        x <- ensembl.based.hgu133plus2CHRLOC
        # Get the probe identifiers that are mapped to chromosome locations
        mapped_probes <- mappedkeys(x)
        # Convert to a list
        xx <- as.list(x[mapped_probes])
        if(length(xx) > 0) {
          # Get the CHRLOC for the first five probes
          xx[1:5]
          # Get the first one
          xx[6008]
        }
}
\keyword{datasets}
