\name{ensembl.based.hgu133plus2ENSEMBL}
\alias{ensembl.based.hgu133plus2ENSEMBL}
\alias{ensembl.based.hgu133plus2ENSEMBL2PROBE}
\title{Map EnsEMBL gene IDs with custom probe-set identifiers}
\description{ 
  ensembl.based.hgu133plus2ENSEMBL is an R object that contains mappings between 
  custom probe-set identifiers and EnsEMBL gene IDs.
}
\details{
	This object is a simple mapping of custom probe-set identifiers
	to EnsEMBL gene IDs. A probe-set identifier can map
	several EnsEMBL IDs. Use the function ensembl.based.hgu133plus2MAIN_ENSEMBL_ID
	to find out the one primarily mapped.
	Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68
}

\examples{
    x <- ensembl.based.hgu133plus2ENSEMBL
    # Get the custom probe-set identifiers that are mapped to an EnsEMBL ID
    mapped_genes <- mappedkeys(x)
    # Convert to a list
    xx <- as.list(x[mapped_genes])
    if(length(xx) > 0) {
      # Get the Ensembl gene IDs for the first five genes
      xx[1:5]
      # Get the first one
      xx[6008]
    }
    #For the reverse map ENSEMBL2PROBE:
    # Convert to a list
    xx <- as.list(ensembl.based.hgu133plus2ENSEMBL2PROBE)
    if(length(xx) > 0){
       # Gets the custom probe-set identifiers for the first five Ensembl IDs
       xx[1:5]
       # Get the first one
       xx[6008]
    }
}
\keyword{datasets}
