\name{ensembl.based.hgu133plus2ENSEMBL_TRANSCRIPT}
\alias{ensembl.based.hgu133plus2ENSEMBL_TRANSCRIPT}
\title{Map custom probe-set identifiers to EnsEMBL transcript Identifiers}
\description{
	ensembl.based.hgu133plus2ENSEMBL_TRANSCRIPT is an R object that contains mappings between
	custom probesets identifiers and EnsEMBL transcript identifiers.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL transcript identifier for this specific gene locus is then retrieved.
}

\examples{
	x <- ensembl.based.hgu133plus2ENSEMBL_TRANSCRIPT
	# Get the probe identifiers that are mapped to an ENSEMBL_TRANSCRIPT
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the ENSEMBL_TRANSCRIPT for the first five probes
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
}
\keyword{datasets}
