\name{ensembl.based.hgu133plus2ENTREZID}
\alias{ensembl.based.hgu133plus2ENTREZID}
\alias{ensembl.based.hgu133plus2ENTREZID2PROBE}
\title{Map custom probe-set identifiers and Entrez Gene}
\description{
  ensembl.based.hgu133plus2ENTREZID is an R object that provides mappings between
  custom probe-set identifiers and Entrez Gene identifiers.
}
\details{
  Each custom probe-set identifier is mapped to a vector of Entrez Gene identifiers. An
  \code{NA} is assigned to those manufacturer identifiers that can not be mapped
  to an Entrez Gene identifier at this time. Since several Entrez Gene identifiers can
  map a single custom probe-set identifier, the reverse function ensembl.based.hgu133plus2ENTREZID2PROBE
  is available.
  Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68
}
\examples{
	x <- ensembl.based.hgu133plus2ENTREZID
	# Get the probe identifiers that are mapped to an ENTREZ Gene ID
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the ENTREZID for the first five probes
		xx[1:5]
		# Get the first one
		xx[6008]
	}
	#For the reverse map ENTREZID2PROBE:
	# Convert to a list
	xx <- as.list(ensembl.based.hgu133plus2ENTREZID2PROBE)
	if(length(xx) > 0){
		# Gets the custom probe-set identifiers for the first five ENTREZ IDs
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
}

\keyword{datasets}
