\name{ensembl.based.hgu133plus2GENENAME}
\alias{ensembl.based.hgu133plus2GENENAME}
\alias{ensembl.based.hgu133plus2GENENAME2PROBE}
\title{Map between custom probe-set IDs and Gene namess}
\description{
	ensembl.based.hgu133plus2GENENAME is an R object that maps custom probe-set
	identifiers to the corresponding gene name.
}
\details{
	Each custom probe-set identifier maps to a named vector containing the gene
	name. The vector name corresponds to the manufacturer identifier. If the gene
	name is unknown, the vector will contain an \code{NA}.
	Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68
}

\examples{
	x <- ensembl.based.hgu133plus2GENENAME
	# Get the probe-set identifiers that are mapped to a gene name
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the GENENAME for the first five probe-set
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
	#For the reverse map GENENAME2PROBE:
	# Convert to a list
	xx <- as.list(ensembl.based.hgu133plus2GENENAME2PROBE)
	if(length(xx) > 0){
		# Gets the custom probe-set identifiers for the first five gene names
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
}
\keyword{datasets}
