\name{ensembl.based.hgu133plus2GENE_COUNT}
\alias{ensembl.based.hgu133plus2GENE_COUNT}
\title{Map custom probe-set identifiers to the number of mapped EnsEMBL gene Identifiers}
\description{
	ensembl.based.hgu133plus2GENE_COUNT is an R object that contains mappings between
	custom probesets identifiers and the number of EnsEMBL gene identifiers mapped.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL identifier for this gene is then retrieved. It might happen that one or several probes
	in this probe-set map other genes loci. This occurences are counted and accessible through this function.
}

\examples{
	x <- ensembl.based.hgu133aGENE_COUNT
	# Get the GENE_COUNT for the probe identifiers
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the GENE_COUNT for the first five probes
		xx[1:5]
		# Get the 6005 one
		xx[6005]
	}
}
\keyword{datasets}
