\name{ensembl.based.hgu133plus2GENE_END}
\alias{ensembl.based.hgu133plus2GENE_END}
\title{Map custom probe-set identifiers to EnsEMBL gene End}
\description{
	ensembl.based.hgu133plus2GENE_STRAND is an R object that contains mappings between
	custom probesets identifiers and EnsEMBL gene End.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL identifier for this gene is then retrieved. In addition, probes which cluster
	together whitout spanning a gene locus are still assembled into a probeset and their strand stored.
	Note that the end is always the biggest position, irrespective of the strand. Therefore, if the strand is negative,
	the so called "end" is actually the start of the gene. You can access the strand and end information using the functions
	ensembl.based.hgu133plus2GENE_STRAND and ensembl.based.hgu133plus2GENE_END.
}

\examples{
	x <- ensembl.based.hgu133plus2GENE_END
	# Get the probe identifiers that are mapped to an GENE_END
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the GENE_END for the first five probes
		xx[1:5]
		# Get the first one
		xx[6008]
	}
}
\keyword{datasets}
