\name{ensembl.based.hgu133plus2MAIN_ENSEMBL_ID}
\alias{ensembl.based.hgu133plus2MAIN_ENSEMBL_ID}
\title{Map custom probe-set identifiers to EnsEMBL gene Identifiers}
\description{ 
	ensembl.based.hgu133plus2MAIN_ENSEMBL_ID is an R object that contains mappings between
	custom probesets identifiers and EnsEMBL gene identifiers.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL identifier for this gene is then retrieved. In addition, probes which cluster
	together whitout spanning a gene locus are still assembled into a probeset.
}

\examples{
	x <- ensembl.based.hgu133aMAIN_ENSEMBL_ID
	# Get the probe identifiers that are mapped to an MAIN_ENSEMBL_ID
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the MAIN_ENSEMBL_ID for the first five probes
		xx[1:5]
		# Get the 6005 one
		xx[6005]
	}
}
\keyword{datasets}
