\name{ensembl.based.hgu133plus2SYMBOL}
\alias{ensembl.based.hgu133plus2SYMBOL}
\alias{ensembl.based.hgu133plus2SYMBOL2PROBE}
\title{Map between custom probe-set IDs and Gene namess}
\description{
	ensembl.based.hgu133plus2SYMBOL is an R object that provides mappings between
	custom probe-set identifiers and gene abbreviations.
}
\details{
	Each custom probe-set identifier is mapped to an abbreviation for the
	corresponding gene. An \code{NA} is reported if there is no known
	abbreviation for a given gene.

	Symbols typically consist of 3 letters that define either a single
	gene (ABC) or multiple genes (ABC1, ABC2, ABC3). Gene symbols can be
	used as key words to query public databases such as EnsEMBL.

	Mappings were based on data provided by: ftp://ftp.ensembl.org/pub/release-68

}
\examples{
	x <- ensembl.based.hgu133plus2SYMBOL
	# Get the probe identifiers that are mapped to a gene symbol
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the SYMBOL for the first five probes
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
	#For the reverse map SYMBOL2PROBE:
	# Convert to a list
	xx <- as.list(ensembl.based.hgu133plus2SYMBOL2PROBE)
	if(length(xx) > 0){
		# Gets the custom probe-set identifiers for the first five gene symbols
		xx[1:5]
		# Get the first one
		xx[[1]]
	}
}

\keyword{datasets}

