\name{ensembl.based.hgu133plus2TRANSCRIPT_COUNT}
\alias{ensembl.based.hgu133plus2TRANSCRIPT_COUNT}
\title{associate custom probe-set identifiers to the total number of EnsEMBL transcript Identifiers related to the mapped EnsEMBL gene Identifiers}
\description{
	ensembl.based.hgu133plus2TRANSCRIPT_COUNT is an R object that associate the
	custom probesets identifiers with the total number of EnsEMBL transcript identifiers related to the EnsEMBL gene identifier mapped.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL transcripts identifiers are then counted for this gene.
}

\examples{
	x <- ensembl.based.hgu133plus2TRANSCRIPT_COUNT
	# Get the probe identifiers that are mapped to an TRANSCRIPT_COUNT
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the TRANSCRIPT_COUNT for the first five probes
		xx[1:5]
		# Get the first one
		xx[6008]
	}
}
\keyword{datasets}
