\name{ensembl.based.hgu133plus2TRANSCRIPT_MAPPED}
\alias{ensembl.based.hgu133plus2TRANSCRIPT_MAPPED}
\title{associate custom probe-set identifiers to the count of related EnsEMBL transcript Identifiers}
\description{
	ensembl.based.hgu133plus2TRANSCRIPT_MAPPED is an R object that associate the
	custom probesets identifiers with the number of EnsEMBL transcript identifiers mapped.
}
\details{
	This object was produced by first aligning the manufacturer's probes
	to the EnsEMBL, cdna, gene and dna sequences (ftp://ftp.ensembl.org/pub/release-68).
	Probe-sets are then reconstructed using the probes mapping the same gene locus.
	The EnsEMBL transcripts identifiers for this gene are then retrieved.
}

\examples{
	x <- ensembl.based.hgu133plus2TRANSCRIPT_MAPPED
	# Get the probe identifiers that are mapped to an TRANSCRIPT_MAPPED
	mapped_probes <- mappedkeys(x)
	# Convert to a list
	xx <- as.list(x[mapped_probes])
	if(length(xx) > 0) {
		# Get the TRANSCRIPT_MAPPED for the first five probes
		xx[1:5]
		# Get the first one
		xx[6008]
	}
}
\keyword{datasets}
